CM2XETEX(1)

NAME
cm2xetex - convert CommonMark file to XeTeX source

SYNOPSIS
cm2xetex [options] [<source> [<destination>]]

DESCRIPTION
Generate xetex document from markdown sources. Reads from <source> (default is stdin) and writes to <destination> (default is stdout). See <http://docutils.sf.net/docs/user/config.html> for the full reference.

OPTIONS

  General Docutils Options:

--title=TITLE
    Specify the document title as metadata.

--generator, -g
    Include a "Generated by Docutils" credit and link.

--no-generator
    Do not include a generator credit.

--date, -d
    Include the date at the end of the document (UTC).

--time, -t
    Include the time & date (UTC).

--no-datestamp
    Do not include a datestamp of any kind.

--source-link, -s
    Include a "View document source" link.

--source-url=<URL>
    Use <URL> for a source link; implies --source-link.

--no-source-link
    Do not include a "View document source" link.

--toc-entry-backlinks
    Link from section headers to TOC entries. (default)

--toc-top-backlinks
    Link from section headers to the top of the TOC.

--no-toc-backlinks
    Disable backlinks to the table of contents.

--footnote-backlinks
    Link from footnotes/citations to references. (default)

--no-footnote-backlinks
    Disable backlinks from footnotes and citations.

--section-numbering
    Enable section numbering by Docutils. (default)

--no-section-numbering
    Disable section numbering by Docutils.

--strip-comments
    Remove comment elements from the document tree.

--leave-comments
    Leave comment elements in the document tree. (default)

--strip-elements-with-class=<class>
    Remove all elements with classes="<class>" from the document tree. Warning: potentially dangerous; use with caution. (Multiple-use option.)

--strip-class=<class>
    Remove all classes="<class>" attributes from elements in the document tree. Warning: potentially dangerous; use with caution. (Multiple-use option.)

--report=<level>, -r <level>
    Report system messages at or higher than <level>: "info" or "1", "warning"/"2" (default), "error"/"3", "severe"/"4", "none"/"5"

--verbose, -v
    Report all system messages. (Same as "--report=1".)

--quiet, -q
    Report no system messages. (Same as "--report=5".)

--halt=<level>
    Halt execution at system messages at or above <level>. Levels as in --report. Default: 4 (severe).

--strict
    Halt at the slightest problem. Same as "--halt=info".

--exit-status=<level>
    Enable a non-zero exit status for non-halting system messages at or above <level>. Default: 5 (disabled).

--debug
    Enable debug-level system messages and diagnostics.

--no-debug
    Disable debug output. (default)

--warnings=<file>
    Send the output of system messages to <file>.

--traceback
    Enable Python tracebacks when Docutils is halted.

--no-traceback
    Disable Python tracebacks. (default)

--input-encoding=<name[:handler]>, -i <name[:handler]>
    Specify the encoding and optionally the error handler of input text. Default: <locale-dependent>:strict.

--input-encoding-error-handler=INPUT_ENCODING_ERROR_HANDLER
    Specify the error handler for undecodable characters. Choices: "strict" (default), "ignore", and "replace".

--output-encoding=<name[:handler]>, -o <name[:handler]>
    Specify the text encoding and optionally the error handler for output. Default: UTF-8:strict.

--output-encoding-error-handler=OUTPUT_ENCODING_ERROR_HANDLER
    Specify error handler for unencodable output characters; "strict" (default), "ignore", "replace", "xmlcharrefreplace", "backslashreplace".

--error-encoding=<name[:handler]>, -e <name[:handler]>
    Specify text encoding and error handler for error output. Default text encoding: system encoding. Default error handler: backslashreplace.

--error-encoding-error-handler=ERROR_ENCODING_ERROR_HANDLER
    Specify the error handler for unencodable characters in error output. Default: backslashreplace.

--language=<name>, -l <name>
    Specify the language (as BCP 47 language tag). Default: en.

--record-dependencies=<file>
    Write output file dependencies to <file>.

--config=<file>
    Read configuration settings from <file>, if it exists.

--version, -V
    Show this program's version number and exit.

--help, -h
    Show this help message and exit.

  Standalone Reader:

--no-doc-title
    Disable the promotion of a lone top-level section title to document title (and subsequent section title to document subtitle promotion; enabled by default).

--no-doc-info
    Disable the bibliographic field list transform (enabled by default).

--section-subtitles
    Activate the promotion of lone subsection titles to section subtitles (disabled by default).

--no-section-subtitles
    Deactivate the promotion of lone subsection titles.

  LaTeX-Specific Options:

--documentclass=DOCUMENTCLASS
    Specify documentclass. Default is "article".

--documentoptions=DOCUMENTOPTIONS
    Specify document options. Multiple options can be given, separated by commas. Default is "a4paper".

--docutils-footnotes
    Footnotes with numbers/symbols by Docutils. (default)

--use-latex-footnotes
    Alias for --docutils-footnotes (deprecated)

--figure-footnotes
    Use figure floats for footnote text (deprecated)

--footnote-references=<format>
    Format for footnote references: one of "superscript" or "brackets". Default is "superscript".

--use-latex-citations
    Use \cite command for citations.

--figure-citations
    Use figure floats for citations (might get mixed with real figures). (default)

--attribution=<format>
    Format for block quote attributions: one of "dash" (em-dash prefix), "parentheses"/"parens", or "none". Default is "dash".

--stylesheet=<file[,file,...]>
    Specify LaTeX packages/stylesheets. A style is referenced with \usepackage if extension is ".sty" or omitted and with \input else. Overrides previous --stylesheet and --stylesheet-path settings.

--stylesheet-path=<file[,file,...]>
    Comma separated list of LaTeX packages/stylesheets. Relative paths are expanded if a matching file is found in the --stylesheet-dirs. With --linkstylesheet, the path is rewritten relative to the output *.tex file.

--link-stylesheet
    Link to the stylesheet(s) in the output file. (default)

--embed-stylesheet
    Embed the stylesheet(s) in the output file. Stylesheets must be accessible during processing.

--stylesheet-dirs=<dir[,dir,...]>
    Comma-separated list of directories where stylesheets are found. Used by --stylesheet-path when expanding relative path arguments. Default: "."

--latex-preamble=LATEX_PREAMBLE
    Customization by LaTeX code in the preamble. Default: select PDF standard fonts (Times, Helvetica, Courier).

--template=<file>
    Specify the template file. Default: "default.tex".

--use-latex-toc
    Table of contents by LaTeX. (default)

--use-docutils-toc
    Table of contents by Docutils (without page numbers).

--use-part-section
    Add parts on top of the section hierarchy.

--use-docutils-docinfo
    Attach author and date to the document info table. (default)

--use-latex-docinfo
    Attach author and date to the document title.

--topic-abstract
    Typeset abstract as topic. (default)

--use-latex-abstract
    Use LaTeX abstract environment for the document's abstract.

--hyperlink-color=HYPERLINK_COLOR
    Color of any hyperlinks embedded in text (default: "blue", "false" to disable).

--hyperref-options=HYPERREF_OPTIONS
    Additional options to the "hyperref" package (default: "").

--compound-enumerators
    Enable compound enumerators for nested enumerated lists (e.g. "1.2.a.ii"). Default: disabled.

--no-compound-enumerators
    Disable compound enumerators for nested enumerated lists. This is the default.

--section-prefix-for-enumerators
    Enable section ("." subsection ...) prefixes for compound enumerators. This has no effect without --compound-enumerators.Default: disabled.

--no-section-prefix-for-enumerators
    Disable section prefixes for compound enumerators. This is the default.

--section-enumerator-separator=<char>
    Set the separator between section number and enumerator for compound enumerated lists. Default is "-".

--literal-block-env=LITERAL_BLOCK_ENV
    When possibile, use the specified environment for literal-blocks. Default is quoting of whitespace and special chars.

--use-verbatim-when-possible
    When possibile, use verbatim for literal-blocks. Compatibility alias for "--literal-blockenv=verbatim".

--table-style=<format>
    Table style. "standard" with horizontal and vertical lines, "booktabs" (LaTeX booktabs style) only horizontal lines above and below the table and below the header or "borderless". Default: "standard"

--graphicx-option=GRAPHICX_OPTION
    LaTeX graphicx package option. Possible values are "dvips", "pdftex". "auto" includes LaTeX code to use "pdftex" if processing with pdf(la)tex and dvips otherwise. Default is no option.

--font-encoding=FONT_ENCODING
    LaTeX font encoding. Possible values are "", "T1" (default), "OT1", "LGR,T1" or any other combination of options to the `fontenc` package.

--reference-label=REFERENCE_LABEL
    Per default the latex-writer puts the reference title into hyperreferences. Specify "ref*" or "pageref*" to get the section number or the page number.

--use-bibtex=USE_BIBTEX
    Specify style and database for bibtex, for example "--use-bibtex=mystyle,mydb1,mydb2".

AUTHOR
Steve Genoud and Luca Barbato

COPYRIGHT
Copyright (C) 2014 Steve Genoud and Luca Barbato